<template>
<div>
    <items_title v-bind:with_tag="true"></items_title>
    <div class="comm_main">
    
      <ul class="motion_item_cts" v-if="!account_info.on_load || account_info.rows.length">
        <template v-for="row in motions.rows">
          <motion_item v-bind:motion="row"></motion_item>
        </template>
      </ul>

      <div class="base_load_ct" v-if="motions.on_load">
        <div class="load_circle" ></div>
      </div>

      <div class="load_more_ct motion_item_load_ct" v-if="!motions.on_load" >
        <div class="no_data" v-if="!motions.more && motions.rows.length">
          {{ lang.data['没有更多了'] }}
        </div>
        <div class="load_more" @click="load_more" v-if="motions.more && motions.rows.length">
          {{ lang.data['加载更多'] }}
        </div>
        <div class="no_data" v-if="!motions.rows.length">
          {{ lang.data['没有更多了'] }}
        </div>
      </div>

    </div>

</div>
</template>
<script>
import { mapActions, mapState, mapMutations, mapGetters } from 'vuex';
import motion_item from './motion_item.vue'
import items_title from './items_title.vue'
import MarkDown from 'markdown-it'
import { lang } from '../lang'
import {
  cal_day,
  mk_render_html
} from '../utils'
export default {

  data () {
    return {
      lang
    }
  },

  computed: {
    motions () {
      let motions = JSON.parse(JSON.stringify(this.account_info.motions));
      // return this.account_info.motions;
      motions.rows.forEach(item => {
        item.time_key = cal_day(item.approve_end_block_num, this.head_block_num);
        item.head_block_num = this.head_block_num;
      });

      return motions;
    },
    head_block_num () {
      return this.account_info.head_block_num;
    },
    ...mapState(['account_info'])
  },

  methods: {
    load_more () {
      this.query_motions();
    },
    ...mapActions({
      'query_motions': 'query_motions'
    })
  },

  components: {
    motion_item,
    items_title
  }

}
</script>
